Summary: Matroska container manipulation utilities
Name: mkvtoolnix
Version: 9.2.0
Release: 1%{?dist}
License: GPLv2+
Source0: https://mkvtoolnix.download/sources/mkvtoolnix-%{version}.tar.xz
Patch0: mkvtoolnix-use-system-boost.patch
Patch1: mkvtoolnix-use-system-json.patch
# https://github.com/mbunkus/mkvtoolnix/issues/1705
Patch2: https://github.com/mbunkus/mkvtoolnix/files/293764/9.2.0-floating_point_test.patch.txt
URL: https://mkvtoolnix.download/
BuildRequires: boost-devel
BuildRequires: bzip2-devel
BuildRequires: desktop-file-utils
BuildRequires: docbook-style-xsl
BuildRequires: file-devel
BuildRequires: flac-devel
BuildRequires: gettext
BuildRequires: gtest-devel
BuildRequires: json-devel
BuildRequires: libcurl-devel
BuildRequires: libmatroska-devel >= 1.4.4
BuildRequires: libvorbis-devel
BuildRequires: lzo-devel
BuildRequires: po4a
BuildRequires: pcre-devel
BuildRequires: pugixml-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: rubygem-drake
BuildRequires: rubygem-json
BuildRequires: utf8cpp-devel
BuildRequires: zlib-devel
# bundles a modified avilib
Provides: bundled(avilib) = 0.6.10

%description
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle
streams into and from Matroska containers.

%package gui
Summary: QT Graphical interface for Matroska container manipulation
Requires: %{name} = %{version}-%{release}
Requires: hicolor-icon-theme
Obsoletes: mkvtoolnix-wx < 8.4.0
Obsoletes: mkvtoolnix-qt < 8.4.0

%description gui
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle
streams into and from Matroska containers.

This package contains the QT graphical interface for these utilities.

%prep
%setup -q
%patch0 -p1 -b .boost
%patch1 -p1 -b .j
%ifarch i686
%patch2 -p2 -b .issue1705
%endif
rm -rf lib/{boost,libebml,libmatroska,nlohmann-json,pugixml,utf8-cpp}
rm -rf rake.d/vendor drake

%build
%configure \
  --disable-optimization \
  --with-boost-libdir=%{_libdir} \
  --with-tools \
  --without-curl \
  || cat config.log
drake %{?_smp_mflags} V=1

%install
drake DESTDIR=$RPM_BUILD_ROOT TOOLS=1 install
for f in mkvtoolnix-gui mkvinfo; do
  desktop-file-validate %{buildroot}%{_datadir}/applications/$f.desktop
done

install -pm 755 src/tools/{base64tool,diracparser,ebml_validator,vc1parser} $RPM_BUILD_ROOT%{_bindir}

%find_lang %{name}
%find_lang mkvextract --with-man
%find_lang mkvmerge --with-man
%find_lang mkvpropedit --with-man
cat mkv{extract,merge,propedit}.lang >> mkvtoolnix.lang

%find_lang mkvinfo --with-man
%find_lang mkvtoolnix-gui --with-man
cat mkvinfo.lang >> mkvtoolnix-gui.lang

%check
drake tests:run_unit

%post gui
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun gui
update-desktop-database &>/dev/null || :
if [ $1 -eq 0 ]; then
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans gui
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS README.md ChangeLog
%{_bindir}/base64tool
%{_bindir}/diracparser
%{_bindir}/ebml_validator
%{_bindir}/mkvextract
%{_bindir}/mkvmerge
%{_bindir}/mkvpropedit
%{_bindir}/vc1parser
%{_mandir}/man1/mkvextract.1*
%{_mandir}/man1/mkvmerge.1*
%{_mandir}/man1/mkvpropedit.1*

%files gui -f mkvtoolnix-gui.lang
%{_bindir}/mkvinfo
%{_bindir}/mkvtoolnix-gui
%{_mandir}/man1/mkvinfo.1*
%{_mandir}/man1/mkvtoolnix-gui.1*
%{_datadir}/applications/mkvinfo.desktop
%{_datadir}/applications/mkvtoolnix-gui.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/mime/packages/mkvtoolnix.xml

%changelog
* Wed Jun 01 2016 Dominik Mierzejewski <rpm@greysector.net> - 9.2.0-1
- update to 9.2.0 (#1340601)
- relax precision in double precision arithmetic test on i686
  (upstream issue #1705)

* Sun May 22 2016 Dominik Mierzejewski <rpm@greysector.net> - 9.1.0-2
- unbundle json
- clean up prep section

* Sat May 21 2016 Dominik Mierzejewski <rpm@greysector.net> - 9.1.0-1.1
- rebuild for boost-1.60.0-5 (#1331983)

* Wed Apr 27 2016 Dominik Mierzejewski <rpm@greysector.net> - 9.1.0-1
- update to 9.1.0 (#1329863)

* Tue Mar 29 2016 Dominik Mierzejewski <rpm@greysector.net> - 9.0.1-1
- update to 9.0.1 (#1321434)
- drop obsolete patch

* Mon Feb 22 2016 Dominik Mierzejewski <rpm@greysector.net> - 8.9.0-1
- update to 8.9.0
- autogenerate localized files list
- BR docbook-style-xsl and fix check for it

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Jonathan Wakely <jwakely@redhat.com> - 8.8.0-2
- Rebuilt for Boost 1.60

* Tue Jan 19 2016 Dominik Mierzejewski <rpm@greysector.net> - 8.8.0-1
- update to 8.8.0
- update Source and main URLs

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 8.7.0-2
- Rebuilt for Boost 1.60

* Tue Jan 05 2016 Dominik Mierzejewski <rpm@greysector.net> - 8.7.0-1
- update to 8.7.0

* Wed Dec 09 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.6.1-1
- update to 8.6.1

* Thu Nov 26 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.5.2-1
- update to 8.5.2

* Thu Oct 22 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.5.1-1
- update to 8.5.1
- BR: libmatroska >= 1.4.4

* Mon Sep 21 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.4.0-1
- update to 8.4.0
- drop obsolete patch
- add Provides: for bundled avilib
- wxGTK GUI is gone
- use license macro to tag the license text file

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 8.2.0-3
- Rebuilt for Boost 1.59

* Wed Aug 26 2015 Jonathan Wakely <jwakely@redhat.com> - 8.2.0-2
- Rebuilt for Boost 1.58 in F23

* Mon Aug 03 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.2.0-1
- update to 8.2.0
- drop obsolete patch
- backport fix for compilation without curl (upstream issue 1359)
- include Spanish manpages

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 8.1.0-2
- rebuild for Boost 1.58

* Sun Jun 28 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.1.0-1
- update to 8.1.0
- backport proper fix for issue 1284 from upstream
- fix -qt subpackage dependencies

* Fri Jun 26 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.0.0-2
- fix tests which fail to compile with boost-1.56+

* Mon Jun 22 2015 Dominik Mierzejewski <rpm@greysector.net> - 8.0.0-1
- update to 8.0.0
- move find_lang call to install section
- disable tests which fail to compile (rhbz#1234405)
- build Qt5 GUI and reorganize subpackages
- switch Gtk GUI to GTK3
- unbundle drake

* Thu Jun 11 2015 Dominik Mierzejewski <rpm@greysector.net> - 7.9.0-1
- update to 7.9.0
- drop upstreamed patch for utf8cpp unbundling
- drop manual desktop file installation, upstream does it properly now

* Sat Apr 11 2015 Dominik Mierzejewski <rpm@greysector.net> - 7.8.0-2
- rebuilt for pugixml soname bump

* Mon Mar 30 2015 Dominik Mierzejewski <rpm@greysector.net> 7.8.0-1
- update to 7.8.0
- fix building tools
- unbundle utf8cpp

* Fri Mar 06 2015 Dominik Mierzejewski <rpm@greysector.net> 7.7.0-1
- update to 7.7.0
- include new manpages

* Mon Feb 09 2015 Dominik Mierzejewski <rpm@greysector.net> 7.6.0-1
- update to 7.6.0

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 7.5.0-3
- Rebuild for boost 1.57.0

* Thu Jan 15 2015 Dominik Mierzejewski <rpm@greysector.net> 7.5.0-2
- this actually build-requires libmatroska-1.4.2 (and libebml-1.3.1)
- remove bundled libebml and libmatroska so that they don't get used
  accidentally if available version is too low
- drop some old cruft from prep section

* Wed Jan 14 2015 Dominik Mierzejewski <rpm@greysector.net> 7.5.0-1
- update to 7.5.0

* Wed Dec 17 2014 Dominik Mierzejewski <rpm@greysector.net> 7.4.0-1
- update to 7.4.0
- drop obsolete patch (upstream bug #1090)
- shorten desktop and icon file installation commands

* Thu Dec 04 2014 Dominik Mierzejewski <rpm@greysector.net> 7.3.0-1
- update to 7.3.0
- enable unit tests
- use system boost code fragment and pugixml

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 7.2.0-2
- update icon/mime scriptlets

* Sun Sep 21 2014 Dominik Mierzejewski <rpm@greysector.net> 7.2.0-1
- update to 7.2.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 18 2014 Dominik Mierzejewski <rpm@greysector.net> 7.0.0-1
- update to 7.0.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 6.9.1-2
- Rebuild for boost 1.55.0

* Sun Apr 27 2014 Dominik Mierzejewski <rpm@greysector.net> 6.9.1-1
- update to 6.9.1

* Tue Mar 04 2014 Dominik Mierzejewski <rpm@greysector.net> 6.8.0-1
- update to 6.8.0
- fixes bug #1053883

* Sat Jan 18 2014 Dominik Mierzejewski <rpm@greysector.net> 6.7.0-1
- update to 6.7.0

* Fri Dec 27 2013 Dominik Mierzejewski <rpm@greysector.net> 6.6.0-1
- update to 6.6.0
- drop obsolete/redundant specfile parts
- remove executable bit from some sources
- drop version from libmatroska-devel BR
- disable curl support (used only for online update checks)

* Sun Oct 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.5.0-1
- Update to 6.5.0
- Fix duplicate localized man pages and add lang(de)

* Thu Oct 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.4.1-1
- Update to 6.4.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 6.3.0-2
- Rebuild for boost 1.54.0

* Sat Jul 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.3.0-1
- Update to 6.3.0

* Mon Apr 29 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.2.0-1
- Update to 6.2.0

* Sun Mar 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.1.0-1
- Update to 6.1.0

* Fri Feb 22 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.0.0-3
- Rebuilt for f19
- Fix bogus date

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 6.0.0-2
- Rebuild for Boost-1.53.0

* Tue Jan 22 2013 Nicolas Chauvet <kwizart@gmail.com> - 6.0.0-1
- Update to 6.0.0

* Mon Dec 10 2012 Nicolas Chauvet <kwizart@gmail.com> - 5.9.0-1
- Update to 0.5.9

* Wed Sep 05 2012 Dominik Mierzejewski <rpm@greysector.net> 5.8.0-1
- update to 5.8.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 5.7.0-2
- Rebuild for new boost

* Sun Jul 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 5.7.0-1
- Update to 5.7.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 22 2012 Nicolas Chauvet <kwizart@gmail.com> - 5.5.0-1
- Update to 5.5.0

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-3
- Rebuilt for c++ ABI breakage

* Tue Jan 17 2012 Nicolas Chauvet <kwizart@gmail.com> - 5.2.1-2
- Add BR po4a

* Thu Jan 12 2012 Nicolas Chauvet <kwizart@gmail.com> - 5.2.1-1
- Update to 5.2.1
- Add BR libcurl-devel

* Sun Nov 20 2011 Nicolas Chauvet <kwizart@gmail.com> - 5.0.1-1
- Update to 5.0.1

* Fri Sep 09 2011 Dan Horák <dan[at]danny.cz> - 4.9.1-3
- fix boost detection on other 64-bit arches (ax_boost_base.m4 too old)

* Sat Jul 23 2011 Nicolas Chauvet <kwizart@gmail.com> - 4.9.1-2
- Rebuild for boost

* Thu Jul 14 2011 Nicolas Chauvet <kwizart@gmail.com> - 4.9.1-1
- Update to 4.9.1

* Tue Feb 15 2011 Nicolas Chauvet <kwizart@gmail.com> - 4.5.0-1
- Update to 4.5.0
- Backport Fix to build with boost::filesystem3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Dominik Mierzejewski <rpm@greysector.net> 4.4.0-1
- updated to 4.4.0
- build system switched to rake -> BR: ruby

* Sun Aug 01 2010 Dominik Mierzejewski <rpm@greysector.net> 4.2.0-1
- updated to 4.2.0 (many bugfixes, see upstream changelog:
  http://www.bunkus.org/cgi-bin/gitweb.cgi?p=mkvtoolnix.git;a=blob;f=ChangeLog)
- sorted BRs alphabetically
- use upstream .desktop files
- install 64x64 icons as well
- drop vendor from desktop filenames
- add Dutch manpages
- process mimeinfo file in scriptlets

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 4.0.0-2
- rebuilt against wxGTK-2.8.11-2

* Sat Jun 19 2010 Dominik Mierzejewski <rpm@greysector.net> 4.0.0-1
- updated to 4.0.0

* Sat May 29 2010 Dominik Mierzejewski <rpm@greysector.net> 3.4.0-1
- updated to 3.4.0
- drop unused %%{_datadir}/mkvtoolnix directory
- add build- and runtime requirements on newer libmatroska
- add runtime requirements on newer libebml due to ABI changes

* Sat Mar 27 2010 Dominik Mierzejewski <rpm@greysector.net> 3.3.0-1
- updated to 3.3.0

* Mon Feb 15 2010 Dominik Mierzejewski <rpm@greysector.net> 3.2.0-1
- updated to 3.2.0
- dropped versions from BRs, F-11 has same or newer
- added Chinese manpages

* Sat Jan 23 2010 Dominik Mierzejewski <rpm@greysector.net> 3.1.0-1
- updated to 3.1.0
  * BlueRay subtitles support
- added Japanese manpages

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.0-2
- Rebuild for Boost soname bump

* Sat Dec 26 2009 Dominik Mierzejewski <rpm@greysector.net> 3.0.0-1
- updated to 3.0.0
- dropped upstream'd patches

* Sun Dec 06 2009 Dominik Mierzejewski <rpm@greysector.net> 2.9.9-1
- updated to 2.9.9
  * new CLI tool: mkvpropedit
- fixed compilation of vc1parser

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 2.9.8-2
- Update desktop file according to F-12 FedoraStudio feature

* Wed Aug 26 2009 Dominik Mierzejewski <rpm@greysector.net> 2.9.8-1
- updated to 2.9.8
- improved summary and description for gui subpackage
- fixed installation of tools

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 06 2009 Dominik Mierzejewski <rpm@greysector.net> 2.6.0-1
- updated to 2.6.0
- dropped upstreamed patches

* Sun Mar 01 2009 Dominik Mierzejewski <rpm@greysector.net> 2.5.2-1
- updated to 2.5.2
- fix compilation
- include translated messages

* Fri Feb 27 2009 Dominik Mierzejewski <rpm@greysector.net> 2.5.1-1
- updated to 2.5.1
- dropped obsolete patches
- use new icon cache scriptlets
- add missing BR

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Dominik Mierzejewski <rpm@greysector.net> 2.4.2-1
- updated to 2.4.2
- dropped obsolete boost detection patch
- fixed segmentation fault in mmg (bug #477857)
- backported some minor fixes from current git
- fixed build on ppc64 again

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> 2.4.0-4
- Rebuild for boost-1.37.0.

* Mon Dec 01 2008 Dominik Mierzejewski <rpm@greysector.net> 2.4.0-3
- dropped obsolete mkvtoolnix-gcc43.patch

* Mon Dec 01 2008 Dominik Mierzejewski <rpm@greysector.net> 2.4.0-2
- fixed boost detection on ppc64 (and sparc64) (bug #473976)

* Sun Nov 30 2008 Dominik Mierzejewski <rpm@greysector.net> 2.4.0-1
- updated to 2.4.0
- rebased patch
- added new BRs
- added missing Requires: hicolor-icon-theme for hicolor icon dirs
- build and include more tools
- fixed rpmlint issues

* Sun Jun 01 2008 Dominik Mierzejewski <rpm@greysector.net> 2.2.0-1
- updated to 2.2.0
- dropped redundant BRs

* Fri Feb 15 2008 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-2
- fixed build with gcc-4.3

* Sun Aug 26 2007 Dominik Mierzejewski <rpm@greysector.net> 2.1.0-1
- updated to 2.1.0
- updated license tag

* Sun Apr 15 2007 Dominik Mierzejewski <rpm@greysector.net> 2.0.2-1
- updated to 2.0.2

* Thu Feb 15 2007 Dominik Mierzejewski <rpm@greysector.net> 2.0.0-1
- updated to 2.0.0
- rebuilt against new flac

* Sat Dec 16 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-2
- rebuilt with new wxGTK

* Tue Dec 05 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.1-1
- updated to 1.8.1

* Sun Nov 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.8.0-3
- Update GTK icon cache in -gui's post(un)install phase, not main pkg's.
- Add menu entry for mkvinfo.

* Thu Nov 23 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-2
- moved mkvinfo and its manpage to -gui
- dropped --enable-debug from configure

* Sun Nov 19 2006 Dominik Mierzejewski <rpm@greysector.net> 1.8.0-1
- updated to 1.8.0
- prevent stripping binaries during make install
- removed sed from BRs
- made -gui Require: current version of the main package
- specfile cleanups

* Fri Jul 28 2006 Dominik Mierzejewski <rpm@greysector.net> 1.7.0-1
- updated to 1.7.0
- removed FCver dependent BRs

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6.5-3
- added missing BRs
- enable all deps by default

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6.5-2
- added desktop file and icon for GUI
- remove hardcoded -O3 from configure's CFLAGS

* Fri Jan 06 2006 Dominik Mierzejewski <rpm@greysector.net>
- dropped RH7.x support
- specfile cleanups

* Sun Dec 11 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.6.5
- updated BuildRequires

* Thu Jul 07 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.5.0

* Mon Apr 11 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed BRs for Fedoras

* Wed Jan 12 2005 Dominik Mierzejewski <rpm@greysector.net>
- fixed rebuilding under RH7.3

* Sat Jan 08 2005 Dominik Mierzejewski <rpm@greysector.net>
- updated to 1.0.1

* Sat Oct 16 2004 Dominik Mierzejewski <rpm@greysector.net>
- arranged sections in correct order
- split GUI into separate package
- added some bconds

* Sat Jan 03 2004 Ronald Bultje <rbultje@ronald.bitfreak.net
- set this thing up
